## Apache Zeta Components Manual :: Docs For Class ezcPersistentObjectNotFoundException

### PersistentObject::ezcPersistentObjectNotFoundException

### Class ezcPersistentObjectNotFoundException

Exception thrown if an object to be loaded could not be found.

Source for this file: /PersistentObject/src/exceptions/object_not_found.php

    Exception
       |
       --ezcBaseException
          |
          --ezcPersistentObjectException
             |
             --ezcPersistentQueryException
                |
                --ezcPersistentObjectNotFoundException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcPersistentObjectNotFoundException | `__construct( $class , $id )` Creates a new exception for the object of $class with $id.

### Inherited Methods

From ezcPersistentQueryException
public void | `ezcPersistentQueryException::__construct()` Constructs a new ezcPersistentQueryException with additional information in $msg.
From ezcPersistentObjectException
public void | `ezcPersistentObjectException::__construct()` Constructs a new ezcPersistentObjectException with error message $message and reason code $reason.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcPersistentObjectNotFoundException __construct( string $class , mixed $id )

Creates a new exception for the object of $class with $id.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string |
`$id` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentQueryException::__construct()` | Constructs a new ezcPersistentQueryException with additional information in $msg.

Documentation generated by phpDocumentor 1.4.3